summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorKeith Burns (alagalah) <alagalah@gmail.com>2016-05-13 09:31:35 -0700
committerHÃ¥kan Jonsson <hakan.jonsson@ericsson.com>2016-06-15 06:18:31 +0000
commit1a8e2a697ff5513907a767a327d1e363b789f73a (patch)
treedecb5c2b57eb9618a99ee6926d423f3ef4565784 /scripts
parent08157b83782b7bedfd238c580cde5347ab5408a8 (diff)
NSHSFC-1 Initial move from VPP to NSH_SFC
- API is giving me some negative energy currently -- I'll work it out but wanted to publish both VPP-61 and this simultaneously Change-Id: I4a04b56dd470655114605621d0c44ea3c26bc069 Signed-off-by: Keith Burns (alagalah) <alagalah@gmail.com> Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/verify.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/scripts/ci/verify.sh b/scripts/ci/verify.sh
new file mode 100755
index 0000000..aa73d97
--- /dev/null
+++ b/scripts/ci/verify.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -xe -o pipefail
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+ . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+ sudo yum install -y redhat-lsb
+ DISTRIB_ID=`lsb_release -si`
+ DISTRIB_RELEASE=`lsb_release -sr`
+ DISTRIB_CODENAME=`lsb_release -sc`
+ DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+NSH_PLUGIN_DIR=$(dirname $0)/../../nsh-plugin
+echo "NSH_PLUGIN_DIR: ${NSH_PLUGIN_DIR}"
+cd ${NSH_PLUGIN_DIR}
+autoreconf -i -f
+mkdir _install
+mkdir _build
+cd _build
+../configure --prefix=$(pwd)/../../_install
+make
+make install
+
+